Bug 218274 - Traceback when writing kickstart repo data
Traceback when writing kickstart repo data
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pykickstart (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-04 06:12 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 20:16:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pykickstart-repodata.patch (428 bytes, patch)
2006-12-04 06:12 EST, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-12-04 06:12:14 EST
pykickstart 0.41-1

When using pykickstart to write a dynamic kickstart, a traceback occurs:
Traceback (most recent call last):
 File "test.py", line 11, in ?
   print pykickstart.writer.KickstartWriter(ksdata).write()
 File "/usr/lib/python2.4/site-packages/pykickstart/writer.py", line 48, in write
   map (lambda fn: fn(), self.handlers)), "\n")
 File "/usr/lib/python2.4/site-packages/pykickstart/writer.py", line 48, in <lambda>
   map (lambda fn: fn(), self.handlers)), "\n")
 File "/usr/lib/python2.4/site-packages/pykickstart/writer.py", line 454, in doRepo
   retval = retval + "repo --name=%s %s\n" % (repo["name"], urlopt)
AttributeError: KickstartRepoData instance has no attribute '__getitem__'

Patch from Panu Matilainen <Panu.Matilainen@nokia.com> attached
Comment 1 Bastien Nocera 2006-12-04 06:12:14 EST
Created attachment 142722 [details]
pykickstart-repodata.patch
Comment 2 RHEL Product and Program Management 2006-12-04 06:30:24 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Chris Lumens 2006-12-04 11:15:02 EST
This is easy, but I'll have to rebase pykickstart again in the RHEL5 tree.
Comment 4 James Laska 2006-12-05 10:58:57 EST
What else does rebasing pull in?
Comment 5 Chris Lumens 2006-12-05 11:03:51 EST
If I rebuild today, nothing.  If I wait a couple days, translation updates.
Comment 6 Chris Lumens 2006-12-05 12:03:08 EST
Rebuilt pykickstart-0.42-1 and submitted a move request.
Comment 8 RHEL Product and Program Management 2007-02-07 20:16:49 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.